package com.scpyun.platform.jilinsscgsdp.bean.entity;

import java.util.Date;

public class SupplementEvent {

    /**
     * 主键id
     */
    private Long id;


    /**
     * 创建时间
     */
    private Date createTime;


    /**
     * 是否经过环比
     */
    private Integer isAreasOcus;


    /**
     * 事件id
     */
    private String eventId;

    /**
     * 发生时间
     */
    private String occurrenceTime;

    /**
     * 区id
     */
    private String areaId;

    /**
     * 市id
     */
    private String cityId;

    /**
     *
     */
    private String eventCategoryId;

    public SupplementEvent() {
    }

    public SupplementEvent(Long id, Date createTime, Integer isAreasOcus,  String eventId, String occurrenceTime,String areaId,String cityId,String eventCategoryId) {
        this.id = id;
        this.createTime = createTime;
        this.isAreasOcus = isAreasOcus;
        this.eventId = eventId;
        this.occurrenceTime = occurrenceTime;
        this.areaId = areaId;
        this.cityId = cityId;
        this.eventCategoryId = eventCategoryId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getIsAreasOcus() {
        return isAreasOcus;
    }

    public void setIsAreasOcus(Integer isAreasOcus) {
        this.isAreasOcus = isAreasOcus;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getEventId() {
        return eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    public String getOccurrenceTime() {
        return occurrenceTime;
    }

    public void setOccurrenceTime(String occurrenceTime) {
        this.occurrenceTime = occurrenceTime;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getEventCategoryId() {
        return eventCategoryId;
    }

    public void setEventCategoryId(String eventCategoryId) {
        this.eventCategoryId = eventCategoryId;
    }
}
